<script setup lang="ts">
import { defineProps } from "vue";

const props = defineProps({
  text: String,
});
</script>

<template>
  <div class="before-select-placeholder bg-white rounded">
    <p>{{ text }}</p>
  </div>
</template>

<style scoped>
.before-select-placeholder {
  display: flex;
  padding: 0;
  align-items: center;
  justify-content: center;
  justify-items: center;
  background-image: repeating-linear-gradient(
      11deg,
      #9a9da4,
      #9a9da4 30px,
      transparent 30px,
      transparent 48px,
      #9a9da4 48px
    ),
    repeating-linear-gradient(
      101deg,
      #9a9da4,
      #9a9da4 30px,
      transparent 30px,
      transparent 48px,
      #9a9da4 48px
    ),
    repeating-linear-gradient(
      191deg,
      #9a9da4,
      #9a9da4 30px,
      transparent 30px,
      transparent 48px,
      #9a9da4 48px
    ),
    repeating-linear-gradient(
      281deg,
      #9a9da4,
      #9a9da4 30px,
      transparent 30px,
      transparent 48px,
      #9a9da4 48px
    );
  background-size: 2px 100%, 100% 2px, 2px 100%, 100% 2px;
  background-position: 0 0, 0 0, 100% 0, 0 100%;
  background-repeat: no-repeat;
}
</style>
